aboutsummaryrefslogtreecommitdiffstats
path: root/packaging-tools/configurations/pkg_510/qt.510.gcc.essentials
diff options
context:
space:
mode:
Diffstat (limited to 'packaging-tools/configurations/pkg_510/qt.510.gcc.essentials')
-rwxr-xr-xpackaging-tools/configurations/pkg_510/qt.510.gcc.essentials/data/patcher.sh57
-rw-r--r--packaging-tools/configurations/pkg_510/qt.510.gcc.essentials/meta/installscript.qs79
-rw-r--r--packaging-tools/configurations/pkg_510/qt.510.gcc.essentials/meta/package.xml18
3 files changed, 154 insertions, 0 deletions
diff --git a/packaging-tools/configurations/pkg_510/qt.510.gcc.essentials/data/patcher.sh b/packaging-tools/configurations/pkg_510/qt.510.gcc.essentials/data/patcher.sh
new file mode 100755
index 000000000..fffb4a1f6
--- /dev/null
+++ b/packaging-tools/configurations/pkg_510/qt.510.gcc.essentials/data/patcher.sh
@@ -0,0 +1,57 @@
+#!/usr/bin/env bash
+#############################################################################
+##
+## Copyright (C) 2013 Digia Plc and/or its subsidiary(-ies).
+## Contact: http://www.qt-project.org/legal
+##
+## This file is part of the release tools of the Qt Toolkit.
+##
+## $QT_BEGIN_LICENSE:LGPL$
+## Commercial License Usage
+## Licensees holding valid commercial Qt licenses may use this file in
+## accordance with the commercial license agreement provided with the
+## Software or, alternatively, in accordance with the terms contained in
+## a written agreement between you and Digia. For licensing terms and
+## conditions see http://qt.digia.com/licensing. For further information
+## use the contact form at http://qt.digia.com/contact-us.
+##
+## GNU Lesser General Public License Usage
+## Alternatively, this file may be used under the terms of the GNU Lesser
+## General Public License version 2.1 as published by the Free Software
+## Foundation and appearing in the file LICENSE.LGPL included in the
+## packaging of this file. Please review the following information to
+## ensure the GNU Lesser General Public License version 2.1 requirements
+## will be met: http://www.gnu.org/licenses/old-licenses/lgpl-2.1.html.
+##
+## In addition, as a special exception, Digia gives you certain additional
+## rights. These rights are described in the Digia Qt LGPL Exception
+## version 1.1, included in the file LGPL_EXCEPTION.txt in this package.
+##
+## GNU General Public License Usage
+## Alternatively, this file may be used under the terms of the GNU
+## General Public License version 3.0 as published by the Free Software
+## Foundation and appearing in the file LICENSE.GPL included in the
+## packaging of this file. Please review the following information to
+## ensure the GNU General Public License version 3.0 requirements will be
+## met: http://www.gnu.org/copyleft/gpl.html.
+##
+##
+## $QT_END_LICENSE$
+##
+#############################################################################
+
+#echo "Patcher arguments: $1"
+if [ $# -lt 1 ]; then
+ exit 1
+fi
+
+#echo "Grepping matches.."
+tmpfilenames=()
+while read -r FILENAME; do
+ tmpfilenames+=("$FILENAME")
+done < <(grep -riIl -e 'icu_install' $1)
+#echo "Grepping matches..done"
+
+#echo "Sedding.."
+sed -i -e 's/-[I|L]\"*\/data\/bamboo\/xml-data\/build-dir.*icu_install\/.*[\" $]//g' "${tmpfilenames[@]}"
+
diff --git a/packaging-tools/configurations/pkg_510/qt.510.gcc.essentials/meta/installscript.qs b/packaging-tools/configurations/pkg_510/qt.510.gcc.essentials/meta/installscript.qs
new file mode 100644
index 000000000..557fe8ca4
--- /dev/null
+++ b/packaging-tools/configurations/pkg_510/qt.510.gcc.essentials/meta/installscript.qs
@@ -0,0 +1,79 @@
+/****************************************************************************
+**
+** Copyright (C) 2013 Digia Plc and/or its subsidiary(-ies).
+** Contact: http://www.qt-project.org/legal
+**
+** This file is part of the release tools of the Qt Toolkit.
+**
+** $QT_BEGIN_LICENSE:LGPL$
+** Commercial License Usage
+** Licensees holding valid commercial Qt licenses may use this file in
+** accordance with the commercial license agreement provided with the
+** Software or, alternatively, in accordance with the terms contained in
+** a written agreement between you and Digia. For licensing terms and
+** conditions see http://qt.digia.com/licensing. For further information
+** use the contact form at http://qt.digia.com/contact-us.
+**
+** GNU Lesser General Public License Usage
+** Alternatively, this file may be used under the terms of the GNU Lesser
+** General Public License version 2.1 as published by the Free Software
+** Foundation and appearing in the file LICENSE.LGPL included in the
+** packaging of this file. Please review the following information to
+** ensure the GNU Lesser General Public License version 2.1 requirements
+** will be met: http://www.gnu.org/licenses/old-licenses/lgpl-2.1.html.
+**
+** In addition, as a special exception, Digia gives you certain additional
+** rights. These rights are described in the Digia Qt LGPL Exception
+** version 1.1, included in the file LGPL_EXCEPTION.txt in this package.
+**
+** GNU General Public License Usage
+** Alternatively, this file may be used under the terms of the GNU
+** General Public License version 3.0 as published by the Free Software
+** Foundation and appearing in the file LICENSE.GPL included in the
+** packaging of this file. Please review the following information to
+** ensure the GNU General Public License version 3.0 requirements will be
+** met: http://www.gnu.org/copyleft/gpl.html.
+**
+**
+** $QT_END_LICENSE$
+**
+****************************************************************************/
+
+// constructor
+function Component()
+{
+}
+
+Component.prototype.beginInstallation = function()
+{
+ installer.setValue(component.name + "_qtpath", "@TargetDir@" + "%TARGET_INSTALL_DIR%");
+}
+
+Component.prototype.createOperations = function()
+{
+ component.createOperations();
+
+ if (installer.value("os") == "x11") {
+ var qtPath = "@TargetDir@" + "%TARGET_INSTALL_DIR%";
+ var qmakeBinary = "@TargetDir@" + "%TARGET_INSTALL_DIR%/bin/qmake";
+ addInitQtPatchOperation(component, "linux", qtPath, qmakeBinary, "qt5");
+
+ try {
+ // patch Qt binaries
+ var path = installer.value("TargetDir") + "%TARGET_INSTALL_DIR%";
+ var script = path + "/patcher.sh";
+ component.addOperation("Execute", "{0}", "/bin/bash", script, path);
+ component.addOperation("Execute", "{0}", "/bin/rm", script);
+ } catch( e ) {
+ print( e );
+ }
+ if (installer.value("SDKToolBinary") == "")
+ return;
+
+ component.addOperation("Execute",
+ new Array("{0}", "@SDKToolBinary@", "addQt", "--id", component.name, "--name", "Qt 5.1.0 GCC 32bit", "--type", "Qt4ProjectManager.QtVersion.Desktop", "--qmake", qmakeBinary));
+
+ component.addOperation("Execute",
+ new Array("{0}", "@SDKToolBinary@", "addKit", "--id", component.name + "_kit", "--name", "Desktop Qt 5.1.0 GCC 32bit", "--toolchain", "x86-linux-generic-elf-32bit", "--qt", component.name, "--debuggerengine", "1", "--devicetype", "Desktop"));
+ }
+}
diff --git a/packaging-tools/configurations/pkg_510/qt.510.gcc.essentials/meta/package.xml b/packaging-tools/configurations/pkg_510/qt.510.gcc.essentials/meta/package.xml
new file mode 100644
index 000000000..8345fa6cf
--- /dev/null
+++ b/packaging-tools/configurations/pkg_510/qt.510.gcc.essentials/meta/package.xml
@@ -0,0 +1,18 @@
+<?xml version="1.0"?>
+<Package>
+ <DisplayName>Essential modules</DisplayName>
+ <Description>Qt 5.1.0 Prebuilt Essential modules for gcc</Description>
+ <Version>%QT_VERSION%</Version>
+ <ReleaseDate>%PACKAGE_CREATION_DATE%</ReleaseDate>
+ <Dependencies>qt.tools.qtcreator</Dependencies>
+ <Default>%PACKAGE_DEFAULT_TAG%</Default>
+ <!--<AutoSelectOn></AutoSelectOn>-->
+ <Script>installscript.qs</Script> <!-- File name of a script being loaded - optional. -->
+ <!--<Forced></Forced>-->
+ <!--<Virtual></Virtual>--> <!-- Set to true if this is a virtual component not showing up in the installer -->
+ <!--<Important></Important>--> <!-- The package is marked as important. This is relevant for updates found with UpdateAgent. -->
+ <SortingPriority>0</SortingPriority> <!-- Priority of this component when visible in the tree. Lowest priority number is on top. -->
+ <DownloadableArchives><!--ONLINE_ARCHIVE_LIST--></DownloadableArchives>
+</Package>
+
+